Get Deprecated /api/v3/channel/{channelId}

Operation: GetChannelV3 Permissions: Meters (View)

Summary

Retrieves details about a single channel

Path and Query Parameters

Parameter Description Type Location
channelId The channel identifierRequired integer Path

Response Parameters

HTTP 200

Header Parameters

Header Description Type
ECI-Deprecated API version and if applicable the replacement operation name string


Body Parameters

Content Type: application/json

Type Reference: ChannelResponseV3

Deprecated

Parameter Description Type
channelId The channel identifier integer
channelCode The channel code string
meter MeterChild
   meterId The meter identifier integer
   meterCode The meter code string
   meterInfo The meter info string
   meterType MeterTypeChild
      meterTypeId integer
      meterTypeCode string
      meterTypeInfo string
   commodity CommodityChild
      commodityId The commodity identifier Required (defined) integer
      commodityCode The commodity code Required (defined) string
      commodityInfo The commodity info Required (defined) string
      commodityIcon Icon
         code The icon code Must be between 0 and 64 characters Required when Color is set string
         color The icon color Must be between 0 and 32 characters Required when Code is set string
   active Indicates whether the Meter is Active boolean
   isCalculatedMeter Indicates whether the meter is a calculated meter boolean
   isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
   isSplitParentMeter Indicates whether the meter is a parent of a split boolean
   isSplitChildMeter Indicates whether the meter is a child of a split boolean
   serialNumber The meter’s current serial number string
commodity CommodityChild
   commodityId The commodity identifier Required (defined) integer
   commodityCode The commodity code Required (defined) string
   commodityInfo The commodity info Required (defined) string
   commodityIcon Icon
      code The icon code Must be between 0 and 64 characters Required when Color is set string
      color The icon color Must be between 0 and 32 characters Required when Code is set string
observationType ObservationTypeChild
   nounId The identifier for the observation type’s noun integer
   nounCode The observation type’s noun code string
   credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer
   observationTypeId The observation type identifier integer
   observationTypeCode The observation type code string
   observationTypeInfo The observation type info string
observationMethod ObservationMethod
   observationMethodId The observation method identifier integer
   observationMethodCode The observation method code string
   observationMethodInfo The observation method info string
observationRule ObservationRule
   observationRuleId The observation rule identifier integer
   observationRuleCode The observation rule code string
   observationRuleInfo The observation rule info string
unit UnitChild
   unitId The unit identifier integer
   unitCode The unit code string
   unitInfo The unit info string
intervalMinutes The interval of the channel. The interval is measured in minutes integer
hidden Indicates if the channel is hidden boolean
totalSum The total sum boolean
properties DeviceChannelChild
   lastCalibrated The date and time the channel was last calibrated string
   channelNumber The channel number integer
   channelText The channel text string
   channelFlag The channel flag boolean
   channelInteger The channel integer integer
   channelFloat The channel float number
   channelChar The channel char string
   readDirection The channel’s read direction string
   readMethod The channel’s read method string
   rf_Ert_Id string
   rf_Ert_Type integer
   rf_Frequency number
   rf_Tone number
   decodeType The decode type of the channel integer
hasReadings Indicates if the channel has readings boolean
isUsedOnDistribution Indicates if the channel is a part of a distribution boolean
lastReadingDate Date of the most recent reading for this channel string
firstReadingDate string
autoSummarize Indicates if the channels reading is auto summarized boolean
channelImportId The import identifier for the channel. string
maximumReading The channel’s max reading number
multiplier The channel multiplier number

Responses

HTTP 200

Header

{
  "ECI-Deprecated": "string"
}

Body

Content Type: application/json
{
  "channelId": 1,
  "channelCode": "string",
  "meter": {
    "meterId": 1,
    "meterCode": "string",
    "meterInfo": "string",
    "meterType": {
      "meterTypeId": 1,
      "meterTypeCode": "string",
      "meterTypeInfo": "string"
    },
    "commodity": {
      "commodityId": 1,
      "commodityCode": "string",
      "commodityInfo": "string",
      "commodityIcon": {
        "code": "string",
        "color": "string"
      }
    },
    "active": false,
    "isCalculatedMeter": false,
    "isEsaCalculatedMeter": false,
    "isSplitParentMeter": false,
    "isSplitChildMeter": false,
    "serialNumber": "string"
  },
  "commodity": {
    "commodityId": 1,
    "commodityCode": "string",
    "commodityInfo": "string",
    "commodityIcon": {
      "code": "string",
      "color": "string"
    }
  },
  "observationType": {
    "nounId": 1,
    "nounCode": "string",
    "credit": 1,
    "observationTypeId": 1,
    "observationTypeCode": "string",
    "observationTypeInfo": "string"
  },
  "observationMethod": {
    "observationMethodId": 1,
    "observationMethodCode": "string",
    "observationMethodInfo": "string"
  },
  "observationRule": {
    "observationRuleId": 1,
    "observationRuleCode": "string",
    "observationRuleInfo": "string"
  },
  "unit": {
    "unitId": 1,
    "unitCode": "string",
    "unitInfo": "string"
  },
  "intervalMinutes": 1,
  "hidden": false,
  "totalSum": false,
  "properties": {
    "lastCalibrated": "2026-01-07",
    "channelNumber": 1,
    "channelText": "string",
    "channelFlag": false,
    "channelInteger": 1,
    "channelFloat": 1.0,
    "channelChar": "string",
    "readDirection": "string",
    "readMethod": "string",
    "rf_Ert_Id": "string",
    "rf_Ert_Type": 1,
    "rf_Frequency": 1.0,
    "rf_Tone": 1.0,
    "decodeType": 1
  },
  "hasReadings": false,
  "isUsedOnDistribution": false,
  "lastReadingDate": "2026-01-07",
  "firstReadingDate": "2026-01-07",
  "autoSummarize": false,
  "channelImportId": "string",
  "maximumReading": 1.0,
  "multiplier": 1.0
}